Bug 864492 - Unable to print from some applications, eg kate, gedit
Unable to print from some applications, eg kate, gedit
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
16
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 09:05 EDT by Anna
Modified: 2013-02-13 18:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:55:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
printer troubleshooting for file printed on Epson AL-C1100 (167.06 KB, text/plain)
2012-10-09 09:05 EDT, Anna
no flags Details
printer troubleshooting for file printed on HP CM1312nfi (363.53 KB, text/plain)
2012-10-09 09:06 EDT, Anna
no flags Details
ppd file for Epson AL-C1100 (33.75 KB, application/vnd.cups-ppd)
2012-10-09 09:07 EDT, Anna
no flags Details
ppd file for HP CM1312nfi (15.54 KB, application/vnd.cups-ppd)
2012-10-09 09:07 EDT, Anna
no flags Details

  None (edit)
Description Anna 2012-10-09 09:05:10 EDT
Created attachment 624084 [details]
printer troubleshooting for file printed on Epson AL-C1100

Description of problem:

I am unable to print from certain applications to either of the printers that I have installed.
I am not sure if this is actually a cups problem as I can print from some applications.  
I cannot print from kate, initially I thought it was a kde problem, I have since tried from gedit and can also not print.  

When printing from kate on printer EPSON AL-C1100 the job makes it to the print queue and says it has finished printing.  When I print the same document from kate to HP Color LaserJet CM1312nfi MFP the job sits in the print queue and never prints.

When printing from gedit, the job never makes it to the print queue on either printer.

I have no problems printing from firefox, konqueror and document viewer. libre-office there are some problems here, but probably unrelated (default printer language type is set to PDF, have to change manually to postscript when printing).

I end up wasting a lot of time printing to pdf file and then printing from document viewer


Version-Release number of selected component (if applicable):
Name        : cups
Arch        : x86_64
Epoch       : 1
Version     : 1.5.2
Release     : 9.fc16

Name        : system-config-printer
Arch        : x86_64
Version     : 1.3.8
Release     : 4.fc16
Size        : 1.2 M

Name        : control-center
Arch        : x86_64
Epoch       : 1
Version     : 3.2.3
Release     : 1.fc16

Name        : hplip
Arch        : x86_64
Version     : 3.12.9
Release     : 6.fc16

Name        : foomatic
Arch        : x86_64
Version     : 4.0.8
Release     : 8.fc16

Name        : kate
Arch        : x86_64
Version     : 4.8.5
Release     : 1.fc16



How reproducible:
all printing from certain applications


Steps to Reproduce:
1. Open document in kate
2. print document
3.
  
Actual results:
No document printed


Expected results:
document printed


Additional info:
I will attach the troubleshooting output for the print jobs from kate to the two different printers and the ppd files.  Please let me know what other information/files/logs you require
Comment 1 Anna 2012-10-09 09:06:09 EDT
Created attachment 624086 [details]
printer troubleshooting for file printed on HP CM1312nfi
Comment 2 Anna 2012-10-09 09:07:00 EDT
Created attachment 624087 [details]
ppd file for Epson AL-C1100
Comment 3 Anna 2012-10-09 09:07:57 EDT
Created attachment 624088 [details]
ppd file for HP CM1312nfi
Comment 4 Jiri Popelka 2012-10-09 10:03:24 EDT
Most likely duplicate of bug #827632 or bug #828301.

(In reply to comment #0)
> printer troubleshooting for file printed on Epson AL-C1100

[Job 170] Started filter /usr/lib/cups/filter/pdftops (PID 7622)',
[Job 170] Started filter /usr/lib/cups/filter/foomatic-rip (PID 7623)',

(In reply to comment #1)
> printer troubleshooting for file printed on HP CM1312nfi

[Job 171] Started filter /usr/lib/cups/filter/pdftops (PID 7872)',
[Job 171] Started filter /usr/lib/cups/filter/gstoraster (PID 7873)',
[Job 171] Started filter /usr/lib/cups/filter/hpcups (PID 7874)',

The problem could be in pdftops filter becase that's the only one called in both cases. pdftopdf filter actually calls pdftops utility (poppler-utils package) and pstops filter (cups package).
Comment 5 Anna 2012-10-09 10:38:14 EDT
I agree it looks similar to bug #828301

Is the problem I am having with libre office where the default printer language type is set to PDF and I have to change manually to postscript when printing is probably due to the same root cause?

Are there any fixes / workarounds yet?  I couldn't see anything conclusive on either of those bug reports.
Should I downgrade to an older cups version? I have had this problem for quite some time so I would imagine it would have to be a really old one!
Comment 6 Jiri Popelka 2012-10-09 10:54:07 EDT
(In reply to comment #5)
> Is the problem I am having with libre office where the default printer
> language type is set to PDF and I have to change manually to postscript when
> printing is probably due to the same root cause?

Probably, yes.
 
> Are there any fixes / workarounds yet?

No, we are still even not sure which component is the culprit.

> Should I downgrade to an older cups version? I have had this problem for
> quite some time so I would imagine it would have to be a really old one!

That would be welcome. I'd suggest to downgrade popplet-utils, foomatic (maybe also cups and ghostscript) to some very old version to check if the problem is a regression (if it was introduced with some update).
You could download RPMs from https://koji.fedoraproject.org/koji/packages
I usually install them with 'rpm -Uvh --force *.rpm'
Thanks.
Comment 7 Fedora End Of Life 2013-01-16 15:31:19 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 18:55:47 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.